summaryrefslogtreecommitdiff
path: root/tests/t3200-resize-partition.sh
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2019-04-23 10:25:20 -0700
committerBrian C. Lane <bcl@redhat.com>2019-12-16 11:20:45 -0800
commit679da92c54c75d7fca1fd825f1d42a750d115f2d (patch)
tree08579d758c13faf9a8d6fce3c0f783a28fce71ee /tests/t3200-resize-partition.sh
parent59cfdad0b5d19af3e330e455be23a22d562e68d8 (diff)
downloadparted-679da92c54c75d7fca1fd825f1d42a750d115f2d.tar.gz
tests: Test incomplete resizepart command
Diffstat (limited to 'tests/t3200-resize-partition.sh')
-rwxr-xr-xtests/t3200-resize-partition.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/t3200-resize-partition.sh b/tests/t3200-resize-partition.sh
index 4565e99..06dbe68 100755
--- a/tests/t3200-resize-partition.sh
+++ b/tests/t3200-resize-partition.sh
@@ -63,6 +63,8 @@ parted -m -s $dev u s p > out 2>&1 || fail=1
wait_for_dev_to_appear_ ${dev}1 || { warn_ "${dev}1 did not appear" fail=1; }
sleep 1
+# Running it without end should not core-dump or prompt
+parted -s $dev resizepart 1 > out 2> err || fail=1
# extend the filesystem to end on sector 4096
new_end=4096s